hybrid-dev(1)

NAME
mbuild-hybrid — easily build ircd-hybrid v7 modules from source

SYNOPSIS

mbuild-hybrid [-s sourcefile] [-p installpath] [-o buildopts]

DESCRIPTION

mbuild-hybrid is a program that simplifies compiling ircd-hybrid modules from source. One may specify output path and CFLAGS to use when building a module; the defaults for each are described below.

It goes without saying that mbuild-hybrid won't run without something in the -s option.

OPTIONS

-s sourcefile
    Source file to build the module with. The output filename will be this name, s/.c/.so/.

-p installpath
    Install path for the module. This defauls to /usr/lib/ircd-hybrid/modules, the module search path for Debian's ircd-hybrid.

-o buildopts
    This should be quoted if more than one argument; this will be appended to the default CFLAGS, which are simply '-g -Wall '.

SEE ALSO

ircd-hybrid(8)

AUTHOR

This manual page was written by Joshua Kwan <joshk@triplehelix.org> and is licensed under the GNU General Public License, version 2 or later.